Subject: I-D Action:draft-ietf-grow-ops-reqs-for-bgp-error-handling-00.txt

From: [email-masked]
Date: Fri, 15 Apr 2011 12:15:02 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Global Routing Operations Working Group of the IETF.

	Title           : Operational Requirements for Enhanced Error Handling Behaviour in BGP-4
	Author(s)       : R. Shakir
	Filename        : draft-ietf-grow-ops-reqs-for-bgp-error-handling-00.txt
	Pages           : 22
	Date            : 2011-04-15

BGP-4 is utilised as a key intra- and inter-Autonomous System routing
protocol in modern IP networks.  The failure modes as defined by the
original protocol standards are based on a number of assumptions
around the impact of session failure.  Numerous incidents both in the
global Internet routing table and within Service Provider networks
have been caused by strict handling of a single invalid UPDATE
message causing large-scale failures in one or more Autonomous
Systems.

This memo describes the current use of BGP-4 within Service Provider
networks, and outlines a set of requirements for further work to
enhance the mechanisms available to a BGP-4 implementation when
erroneous data is detected.  Whilst this document does not provide
specification of any standard, it is intended as an overview of a set
of enhancements to BGP-4 to improve the protocol's robustness to suit
its current deployment.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-grow-ops-reqs-for-bgp-error-handling-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.